none
BizTalk Oracle Adapter & Oracle Server/Client compatibility query RRS feed

  • Question

  • We are using BizTalk server 2009 standard edition along with Microsoft BizTalk Adapter pack 2.0 (containing

    Microsoft BizTalk Adapter 3.0 for Oracle Database) to connect to the Oracle database server version "11.2.0.2

    ".

    Since, BizTalk adapter pack 2.0 was released before the Oracle Server version 11.2, therefore Oracle Server version 11.2 is not in the official supported version list included within the release notes of the adapter pack. Please check the link:

     

     

    http://download.microsoft.com/download/0/E/E/0EE48CD7-206F-4F14-9E68-CDA91A5A9EBE/InstallationGuide.htm  

     

    Below are the supported Server & Client versions for the Oracle adapter based on the above link:

     

    Server/Client

     

     

    Version

     

     

    Server

     

     

    11.1

    10.2

    10.1

    9.2

     

    Client

     

     

    11.1.0.6

    11.1.0.7

    Can anyone please confirm if the BizTalk adapter pack 2.0 is supported with Oracle database server version "11.2.0.2" as well? Thanks.

     

    Wednesday, September 28, 2011 8:57 AM

Answers

  • Hi All,

    We raised this issue with Microsoft support and have found out that the Oracle adapter within BizTalk adapter pack 2.0 does not support Oracle database version 11.2.0.2 (In general 11.2.x.x). Below is the response that we received.

    “The Biztalk Adaptor Pack 2.0 has only been tested up to version 11.1 of the Oracle Database Server. Therefore, Biztalk Adoptor Pack 2.0 is not supported on version 11.2.0.2, for it was never tested.”

     

    It’s not the response that I wanted to hear :), but ....

     

    Well in my personal opinion, Microsoft should have supported this new version of Oracle since it was just released few months after the adapter pack 2.0 release.

     

    Hope this info helps others.

    Regards,

    Zia


    Hope this helps. Zia Saeed | Don’t forget to mark the post(s) as “Answered” that answered your question
    • Marked as answer by Zia Saeed Friday, October 21, 2011 11:19 AM
    Friday, October 21, 2011 11:18 AM

All replies

  • Hi,

    According to thread it is supported!

    HTH

    Regards,

    Steef-Jan Wiggers
    MVP & MCTS BizTalk Server 2010
    http://soa-thoughts.blogspot.com/
    If this answers your question please mark it accordingly

     


    BizTalk
    Wednesday, September 28, 2011 11:32 AM
    Moderator
  • Hi Steef,

    Thanks for the reply. Based on “Manas Garg – MSFT” comment on the link that you provided, the BizTalk adapter pack 2.0 supports Oracle 11g databases.

    Does this mean that it covers both versions (11.1 and 11.2) of the Oracle 11g database? Thanks.

    Zia

    Wednesday, September 28, 2011 1:03 PM
  • Hi,

    Yes it means both versions, but if you need to be absolutly sure you may need to contact MS Support.

    HTH

    Regards,

    Steef-Jan Wiggers
    MVP & MCTS BizTalk Server 2010
    http://soa-thoughts.blogspot.com/
    If this answers your question please mark it accordingly


    BizTalk
    Wednesday, September 28, 2011 2:18 PM
    Moderator
  • Thanks Steef.

    Can anyone from Microsoft confirm if this is correct? Thanks.

     

    Regards,

    Zia

    Wednesday, September 28, 2011 2:26 PM
  • Hi Zia,

    Check the Overview section of this article :http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=2755

     


    Regards,
    Bali
    MCTS: BizTalk Server 2010,BizTalk Server 2006 and WCF
    My Blog:dpsbali-biztalkweblog
    -----------------------------------------------------
    Mark As Answer or Vote As Helpful if this helps.
    Wednesday, September 28, 2011 5:20 PM
  • Hi Bali,

    As I mentioned earlier in my initial post that BizTalk adapter pack 2.0 was released before the Oracle database Server version 11.2, therefore Oracle database Server version 11.2 is not in the official supported version list included within the release notes of the adapter pack and on the link you mentioned.

    The confusion is that either these Microsoft pages are not up to date or the Oracle database Server version 11.2 is not supported by the BizTalk adapter pack 2.0.

    Can anyone from Microsoft please clarify? Thanks.

    Regards,

    Zia

    Wednesday, September 28, 2011 8:30 PM
  • Hi All,

    We raised this issue with Microsoft support and have found out that the Oracle adapter within BizTalk adapter pack 2.0 does not support Oracle database version 11.2.0.2 (In general 11.2.x.x). Below is the response that we received.

    “The Biztalk Adaptor Pack 2.0 has only been tested up to version 11.1 of the Oracle Database Server. Therefore, Biztalk Adoptor Pack 2.0 is not supported on version 11.2.0.2, for it was never tested.”

     

    It’s not the response that I wanted to hear :), but ....

     

    Well in my personal opinion, Microsoft should have supported this new version of Oracle since it was just released few months after the adapter pack 2.0 release.

     

    Hope this info helps others.

    Regards,

    Zia


    Hope this helps. Zia Saeed | Don’t forget to mark the post(s) as “Answered” that answered your question
    • Marked as answer by Zia Saeed Friday, October 21, 2011 11:19 AM
    Friday, October 21, 2011 11:18 AM
  • Hi Zia,

    Thanks for sharing. I assumed it was supported according to thread I posted.

    Cheers,

    Steef-Jan Wiggers
    MVP & MCTS BizTalk Server 2010
    http://soa-thoughts.blogspot.com/


    BizTalk
    Friday, October 21, 2011 3:05 PM
    Moderator